'use strict';

angular.module('datasid', ['ngResource', 'ui.router', 'datasid.controllers', 'datasid.directives', 'datasid.factories', 'datasid.filters']).
    config(function($stateProvider, $httpProvider) {
        $stateProvider.
            state('root', {
                url: '',
                templateUrl: 'partials/root.html',
                controller: 'RootCtrl'
            }).

            state('install', {
                url: '/install',
                templateUrl: 'partials/install.html',
                controller: 'InstallCtrl',
                section: 'install'
            }).

            state('doc', {
                url: '/doc',
                templateUrl: 'partials/doc.html',
                controller: 'DocCtrl',
                section: 'doc'
            }).

            state('attendance', {
                abstract: true,
                url: '/attendance',
                controller: 'AttendanceCtrl',
                template: '<div ui-view></div>'
            }).

            state('attendance.index', {
                url: '',
                templateUrl: 'partials/attendance.html',
                section: 'attendance'
            }).

            state('attendance.telecentrosbr', {
                abstract: true,
                url: '/telecentrosbr',
                templateUrl: 'partials/attendance.telecentrosbr.html',
                section: 'attendance'
            }).

            state('attendance.telecentrosbr.availability', {
                url: '/availability',
                controller: 'AvailCtrl',
                templateUrl: 'partials/attendance.availability.html',
                section: 'attendance'
            }).

            state('attendance.telecentrosbr.availability-region', {
                url: '/availability/:region',
                controller: 'AvailCtrl',
                templateUrl: 'partials/attendance.availability.html',
                section: 'attendance'
            }).

            state('attendance.telecentrosbr.availability-state', {
                url: '/availability/:region/:state',
                controller: 'AvailCtrl',
                templateUrl: 'partials/attendance.availability.html',
                section: 'attendance'
            }).

            state('attendance.telecentrosbr.availability-city', {
                url: '/availability/:region/:state/:city',
                controller: 'AvailCtrl',
                templateUrl: 'partials/attendance.availability.html',
                section: 'attendance'
            });
    });