var DefaultCharts = {
    barChart: {
        chart: {
            backgroundColor: null,
            height: '300',
            defaultSeriesType: 'column'
        },
        colors: [
            '#a9c33c',
            '#eeba28',
            '#c3252e',
        ],
        title: {
            text: ''
        },
        loading: {
            labelStyle: {
                top: '45%',
            }
        },
        xAxis: {
            categories: [],
            labels: {
                style: {
                    fontSize: '11px'
                },
                formatter: function() {
                    return '<a onclick="Charts.click(\''+this.value+'\');" style="color: #08C; cursor: pointer">' + this.value + '</a>';
                },
            },
        },
        yAxis: {
            min: 0,
            title: {
                text: 'Número de Máquinas'
            },
            labels: {
                formatter: function() {
                    return formatNumber(this.value);
                }
            }
        },
        credits: {
            enabled: false
        },
        legend: {
            enabled: false
        },
        tooltip: {
            shared: true,
            formatter: function() {
                var s = '<b>'+ this.x +'</b>';

                for (var i = 0; i < this.points.length; i++) {
                    var point = this.points[i];
                    s += '<br/><span>' +
                        point.series.name + '</span>: ' + formatNumber(point.y) + ' máquinas';
                };

                return s;
            },
            positioner: function() {
                return {x: 2, y: 2};
            }
        },
        plotOptions: {
            series: {
                groupPadding: 0.15,
                pointPadding: 0,
                cursor: 'pointer'
            }
        },
        series: [
            {name: 'Menos de 10 dias'},
            {name: 'Entre 11 e 30 dias'},
            {name: 'Mais de 30 dias'}
        ]
    },

    pieChart: {
        chart: {
            type: 'pie',
            backgroundColor: null,
            height: '300',
        },
        colors: [
            '#a9c33c',
            '#eeba28',
            '#c3252e',
        ],
        title: {
            text: ''
        },
        loading: {
            labelStyle: {
                top: '45%',
            }
        },
        credits: {
            enabled: false
        },
        tooltip: {
            formatter: function() {
                return '<b>' + this.key.replace('\n', ' ') + '</b><br/>' + formatNumber(this.y) + ' máquinas'
            }
        },
        plotOptions: {
            pie: {
                dataLabels: {
                    enabled: true,
                    distance: 5,
                    connectorWidth: 0,
                    formatter: function() {
                        return '<b>'+ this.point.name.split('\n').join('</b><br/><b>') +
                               '</b><br/>' + Math.round(this.percentage) + '%';
                    }
                }
            }
        },
        series: [
            {data: [
                ['Menos de\n10 dias', 0],
                ['Entre 11\ne 30 dias', 0],
                ['Mais de\n30 dias', 0]
            ]}
        ]
    },

    histChart: {
        chart: {
            type: 'line',
            backgroundColor: null,
            height: '300',
        },
        colors: [
            '#a9c33c',
            '#eeba28',
            '#c3252e',
        ],
        title: {
            text: 'Histórico dos Últimos 6 meses'
        },
        loading: {
            labelStyle: {
                top: '45%',
            }
        },
        xAxis: {
            categories: []
        },
        yAxis: {
            min: 0,
            title: {
                text: 'Número de Máquinas'
            },
            labels: {
                formatter: function() {
                    return formatNumber(this.value);
                }
            }
        },
        credits: {
            enabled: false
        },
        tooltip: {
            crosshairs: {
                width: 2,
                color: 'gray',
                dashStyle: 'shortdot'
            },
            formatter: function() {
                var s = '<b>'+ this.x +'</b>';

                for (var i = 0; i < this.points.length; i++) {
                    var point = this.points[i];
                    s += '<br/><span>' +
                        point.series.name + '</span>: ' + formatNumber(point.y) + ' máquinas';
                };

                return s;
            },
            positioner: function () {
                return { x: 10, y: 10 };
            },
            shared: true
        },
        plotOptions: {
            series: {
                groupPadding: 0.05
            }
        },
        legend: {
            layout: 'vertical',
            itemMarginTop: 3,
            itemMarginBottom: 3
        },
        series: [
            {name: 'Último contato há menos de 10 dias'},
            {name: 'Último contato entre 11 e 30 dias'},
            {name: 'Último contato há mais de 30 dias'}
        ]
    }
};