'use strict';

function toBoolean(value) {
    if (value && value.length !== 0) {
        var v = ("" + value).toLowerCase();
        value = !(v == 'f' || v == '0' || v == 'false' || v == 'no' || v == 'n' || v == '[]');
    } else {
        value = false;
    }
    return value;
}

angular.module('datasid.directives', []).
    directive('mcActiveClass', function($animate) {
        return function (scope, element, attrs) {
            scope.$watch(attrs.mcActiveClass, function (value) {
                $animate[toBoolean(value) ? 'addClass' : 'removeClass'](element, 'active');
            });
        }
    }).

    directive('mcCollapsedClass', function($animate) {
        return function (scope, element, attrs) {
            scope.$watch(attrs.mcCollapsedClass, function (value) {
                $animate[toBoolean(value) ? 'addClass' : 'removeClass'](element, 'collapsed');
            });
        }
    }).

    directive('mcChart', function() {
        return function (scope, element, attrs) {
            scope[attrs.mcChart].render(element);
        }
    });